Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.appengine.api.memcache
Enum MemcacheSerialization.Flag

    java.lang.Object
      java.lang.Enum<MemcacheSerialization.Flag>
          com.google.appengine.api.memcache.MemcacheSerialization.Flag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MemcacheSerialization.Flag>

Enclosing class:
  MemcacheSerialization

    public static enum MemcacheSerialization.Flag

extends java.lang.Enum<MemcacheSerialization.Flag>

Values used as flags on the MemcacheService's values.

Enum Constant Summary
`BOOLEAN`
`BYTE`
`BYTES`
`INTEGER`
`LONG`
`OBJECT`
`SHORT`
`UTF8`

Method Summary
`static MemcacheSerialization.Flag` | `fromInt(int i)` While the enum is convenient, the implementation wants `int`s...
`static MemcacheSerialization.Flag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MemcacheSerialization.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BYTES

    public static final MemcacheSerialization.Flag BYTES

### UTF8

    public static final MemcacheSerialization.Flag UTF8

### OBJECT

    public static final MemcacheSerialization.Flag OBJECT

### INTEGER

    public static final MemcacheSerialization.Flag INTEGER

### LONG

    public static final MemcacheSerialization.Flag LONG

### BOOLEAN

    public static final MemcacheSerialization.Flag BOOLEAN

### BYTE

    public static final MemcacheSerialization.Flag BYTE

### SHORT

    public static final MemcacheSerialization.Flag SHORT

Method Detail

### values

    public static MemcacheSerialization.Flag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MemcacheSerialization.Flag c : MemcacheSerialization.Flag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MemcacheSerialization.Flag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### fromInt

    public static MemcacheSerialization.Flag fromInt(int i)

  While the enum is convenient, the implementation wants `int`s... this factory converts `int` value to Flag value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD